
From: Andrew Morton <akpm@osdl.org>

kernel/power/disk.c needs a declaration of name_to_dev_t() in scope.  mount.h
seems like an appropriate choice.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/mount.h |    2 ++
 init/do_mounts.c      |    1 +
 init/do_mounts.h      |    1 -
 kernel/power/disk.c   |    2 ++
 4 files changed, 5 insertions(+), 1 deletion(-)

diff -puN kernel/power/disk.c~name_to_dev_t-warning-fix kernel/power/disk.c
--- devel/kernel/power/disk.c~name_to_dev_t-warning-fix	2005-07-08 23:10:57.000000000 -0700
+++ devel-akpm/kernel/power/disk.c	2005-07-08 23:21:33.000000000 -0700
@@ -16,6 +16,8 @@
 #include <linux/device.h>
 #include <linux/delay.h>
 #include <linux/fs.h>
+#include <linux/mount.h>
+
 #include "power.h"
 
 
diff -puN include/linux/mount.h~name_to_dev_t-warning-fix include/linux/mount.h
--- devel/include/linux/mount.h~name_to_dev_t-warning-fix	2005-07-08 23:10:57.000000000 -0700
+++ devel-akpm/include/linux/mount.h	2005-07-08 23:23:51.000000000 -0700
@@ -12,6 +12,7 @@
 #define _LINUX_MOUNT_H
 #ifdef __KERNEL__
 
+#include <linux/types.h>
 #include <linux/list.h>
 #include <linux/spinlock.h>
 #include <asm/atomic.h>
@@ -76,6 +77,7 @@ extern int do_add_mount(struct vfsmount 
 extern void mark_mounts_for_expiry(struct list_head *mounts);
 
 extern spinlock_t vfsmount_lock;
+extern dev_t name_to_dev_t(char *name);
 
 #endif
 #endif /* _LINUX_MOUNT_H */
diff -puN init/do_mounts.c~name_to_dev_t-warning-fix init/do_mounts.c
--- devel/init/do_mounts.c~name_to_dev_t-warning-fix	2005-07-08 23:10:57.000000000 -0700
+++ devel-akpm/init/do_mounts.c	2005-07-08 23:10:57.000000000 -0700
@@ -7,6 +7,7 @@
 #include <linux/root_dev.h>
 #include <linux/security.h>
 #include <linux/delay.h>
+#include <linux/mount.h>
 
 #include <linux/nfs_fs.h>
 #include <linux/nfs_fs_sb.h>
diff -puN init/do_mounts.h~name_to_dev_t-warning-fix init/do_mounts.h
--- devel/init/do_mounts.h~name_to_dev_t-warning-fix	2005-07-08 23:22:47.000000000 -0700
+++ devel-akpm/init/do_mounts.h	2005-07-08 23:22:52.000000000 -0700
@@ -9,7 +9,6 @@
 #include <linux/major.h>
 #include <linux/root_dev.h>
 
-dev_t name_to_dev_t(char *name);
 void  change_floppy(char *fmt, ...);
 void  mount_block_root(char *name, int flags);
 void  mount_root(void);
_
